macroScript GatherAssets
category:"KFScripts" 
toolTip:"Gather Assets" 
buttonText:"GatherAssets"
-----------------------------
---v.1.01 of Gather Assets---
---Written by Kiel Figgins---
-----www.3dfiggins.com-------
-----------------------------
--Compiles max file and textures that are used in the scene
--into a newly created folder on C: based off the current
--files name.
-----------------------------
--A similiar function to this script can be found in Max at
--Utilties > More... > Resource Collector
--That utility is slightly broken but does allow some 
--different options
--Note: Update Materials does NOT work, nor does WINZIP
-----------------------------
--Version History
--1.01 (07-31-2006) - Added check boxes for max file and texture gather
--1.00 (07-25-2006) - Orginal Version
-----------------------------

(
try(cui.FloatDialogBar gatherWin) catch()
try(cui.unRegisterDialogBar gatherWin) catch()
try(destroydialog gatherWin) catch()

rollout gatherWin "Gather Assets 01" 
(

local mapfiles=#()

	label lbl1 "Gather Scene Assets?" pos:[5,3] width:111 height:16
	checkbox chkMax "Max File" pos:[15,17] width:60 height:16 checked: true
	checkbox chkText "Textures" pos:[15,37] width:70 height:16 checked: true

	button btnYes "Yes" pos:[5,58] width:35 height:20 tooltip: "Gathers Assets"
	button btnNo "No" pos:[73,58] width:35 height:20 tooltip: "Discard choices, Closes Window"

	label lbl3 "---Location---" pos:[26,85]
	label lbl4 "C:\\GatheredAssets\\*.*" pos:[2,98]

on btnYes pressed  do
(
	if chkText.checked == true then (
		fn addmap mapfile =

		(

			local mapfileN = mapfile as name

			local index = finditem mapfiles mapfileN

			if index == 0 do append mapfiles mapfileN

		)--End of function

	

		enumeratefiles addmap

		sort mapfiles

		for mapfile in mapfiles do(

				

		filenamer = (getFileNameFile maxFileName + "_Assets")

		fileSaver = (getFileNameFile maxFileName + ".max")

		filedire = "C:\\GatheredAssets\\"

		makeDir "C:\\GatheredAssets"

		makeDir (filedire + filenamer )

		

		mapFileName = mapfile as string

		fileName = filenameFromPath mapFileName

		newDirectory = (filedire + filenamer + "\\") 

		newCombined = newDirectory + fileName
		copyFile mapFileName newCombined
		)

		) else ()
		
		
	if chkMax.checked == true then (	
		filenamer = (getFileNameFile maxFileName + "_Assets")

		fileSaver = (getFileNameFile maxFileName + ".max")

		filedire = "C:\\GatheredAssets\\"

		makeDir "C:\\GatheredAssets"

		makeDir (filedire + filenamer )

		

		--fileName = filenameFromPath mapFileName

		newDirectory = (filedire + filenamer + "\\") 

		--newCombined = newDirectory + fileName

		saveMaxFile (newDirectory + fileSaver)

		) else ()


	clearSelection()

	
	--close window
	try(cui.FloatDialogBar gatherWin) catch()
	try(cui.unRegisterDialogBar gatherWin) catch()
	try(destroydialog gatherWin) catch()

)--End of btnYes

on btnNo pressed  do
(
	--close window
	try(cui.FloatDialogBar gatherWin) catch()
	try(cui.unRegisterDialogBar gatherWin) catch()
	try(destroydialog gatherWin) catch()
)--End of btnNo


)--End of Script
createDialog gatherWin width:116 height:130 style:#(#style_border, #style_titlebar, #style_sysmenu, #style_minimizebox) 
try(cui.RegisterDialogBar gatherWin maxsize:[116,130]) catch()

)--End of Script